package com.caimei.service;

import com.caimei.model.ResponseJson;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/3/21
 */
public interface OrderSubmitService {
    /**
     * 商品结算
     *
     * @param productIds 商品ID串用逗号隔开。
     * @param count      立即购买商品数量，购物车count为null。
     * @param userId     机构用户id。
     * @return
     */
    ResponseJson<Map<String, Object>> orderConfirm(String productIds, Integer count, Integer userId);

}
